Index: /extensions/piwishack/doc/Quoi de neuf.txt
===================================================================
--- /extensions/piwishack/doc/Quoi de neuf.txt	(revision 4375)
+++ /extensions/piwishack/doc/Quoi de neuf.txt	(revision 4376)
@@ -18,5 +18,25 @@
 // +-----------------------------------------------------------------------+
 
-Version 0.1 [23-11-2009]:
-  Ajout: 		Premier 
-  Corrections:	-
+v0.1 Disponible le 23-11-2009
+    [Bugtracker, bug 1271, open] Add an administrator panel
+    [Bugtracker, bug 1268, open] Count of visit which increments.
+    [Bugtracker, bug 1265, fixed] Verify comportement in a lot of picture
+    [Bugtracker, bug 1269, fixed] Verrify compatibility with HotBlocker plugin
+    [Bugtracker, bug 1266, fixed] Header and LLBGO
+    [Bugtracker, bug 1281, fixed] Title of page need more visibility
+    [Bugtracker, bug 1280, fixed] Language error on FR
+    [Bugtracker, bug 1272, fixed] Error in category page
+    [Bugtracker, bug 1279, fixed] Convert in UTF-8 without BOM
+    [Bugtracker, bug 1274, fixed] HTML 4.0
+    [Bugtracker, bug 1275, fixed] A good formatage
+    [Bugtracker, bug 1276, fixed] Ascensors
+    [Bugtracker, bug 1264, fixed] Conflit with other plugin
+    [Bugtracker, bug 1261, fixed] Add description.txt
+    [Bugtracker, bug 1267, fixed] Change icons set
+    [Bugtracker, bug 1263, fixed] Language not ok
+    [Bugtracker, bug 1270, fixed] Formating documents in UNIX format
+    [Bugtracker, bug 1262, fixed] Add multi-language
+
+v0.2 Disponible le 28-11-2009
+    [Bugtracker, bug 1284, open] Change the pop-up for an other solution
+    [Bugtracker, bug 1293, fixed] Thumbnail link open in new page
Index: /extensions/piwishack/doc/ReadMe.txt
===================================================================
--- /extensions/piwishack/doc/ReadMe.txt	(revision 4376)
+++ /extensions/piwishack/doc/ReadMe.txt	(revision 4376)
@@ -0,0 +1,14 @@
+Functionality:
+===============
+  Displays in a new window link images to use when writing a message.
+
+Installation:
+=============
+  1: Copy the directory piwishack in the plugins directory of your Gallery
+  2: Install and activate the plugin from the page admininistration Plugins
+
+Warning! The plugin is still in development phase.
+
+Usage:
+======
+  When an image or a list of images is displayed, click the new button piwishack "to show or hide the window containing links.
Index: /extensions/piwishack/doc/What's new.txt
===================================================================
--- /extensions/piwishack/doc/What's new.txt	(revision 4376)
+++ /extensions/piwishack/doc/What's new.txt	(revision 4376)
@@ -0,0 +1,42 @@
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+v0.1 Disponible le 23-11-2009
+    [Bugtracker, bug 1271, open] Add an administrator panel
+    [Bugtracker, bug 1268, open] Count of visit which increments.
+    [Bugtracker, bug 1265, fixed] Verify comportement in a lot of picture
+    [Bugtracker, bug 1269, fixed] Verrify compatibility with HotBlocker plugin
+    [Bugtracker, bug 1266, fixed] Header and LLBGO
+    [Bugtracker, bug 1281, fixed] Title of page need more visibility
+    [Bugtracker, bug 1280, fixed] Language error on FR
+    [Bugtracker, bug 1272, fixed] Error in category page
+    [Bugtracker, bug 1279, fixed] Convert in UTF-8 without BOM
+    [Bugtracker, bug 1274, fixed] HTML 4.0
+    [Bugtracker, bug 1275, fixed] A good formatage
+    [Bugtracker, bug 1276, fixed] Ascensors
+    [Bugtracker, bug 1264, fixed] Conflit with other plugin
+    [Bugtracker, bug 1261, fixed] Add description.txt
+    [Bugtracker, bug 1267, fixed] Change icons set
+    [Bugtracker, bug 1263, fixed] Language not ok
+    [Bugtracker, bug 1270, fixed] Formating documents in UNIX format
+    [Bugtracker, bug 1262, fixed] Add multi-language
+
+v0.2 Disponible le 28-11-2009
+    [Bugtracker, bug 1284, open] Change the pop-up for an other solution
+    [Bugtracker, bug 1293, fixed] Thumbnail link open in new page
Index: /extensions/piwishack/include/class.inc.php
===================================================================
--- /extensions/piwishack/include/class.inc.php	(revision 4375)
+++ /extensions/piwishack/include/class.inc.php	(revision 4376)
@@ -111,5 +111,5 @@
 	   Affichage de la miniature sur des sites. Cliquable.
 	   EXEMPLE
-	   <a href="{$ROOT_WAY}{$current.U_IMG}"><img src="{$ROOT_WAY}{$current.THUMB_SRC|@replace:'./':''}" /></a>
+	   <a href="{$ROOT_WAY}{$current.U_IMG}" target=_blank><img src="{$ROOT_WAY}{$current.THUMB_SRC|@replace:'./':''}" /></a>
 	   */
 	    $S .= '<a href=\"'.
@@ -118,5 +118,5 @@
               'image_id' => $row['id'],
               'image_file' => $row['file'],
-              )).'\"><img src=\"'.
+              )).'\" target=_blank><img src=\"'.
 		  str_replace('/./', '/', get_thumbnail_url($row)).'\" /></a>';
 	    $S .= '\n\n';
@@ -267,5 +267,5 @@
 	   Affichage de la vue normale sur des sites. Non cliquable.
 	   EXEMPLE
-	   <a href="{$ROOT_WAY}{$current.U_IMG}"><img src="{$ROOT_WAY}{$SRC_IMG|@replace:'./':''}" /></a>
+	   <a href="{$ROOT_WAY}{$current.U_IMG}" target=_blank><img src="{$ROOT_WAY}{$SRC_IMG|@replace:'./':''}" /></a>
 	   */
 	    $S .= '<a href=\"'.
@@ -274,5 +274,5 @@
               'image_id' => $row['id'],
               'image_file' => $row['file'],
-              )).'\"><img src=\"'.get_absolute_root_url().
+              )).'\" target=_blank><img src=\"'.get_absolute_root_url().
 		  str_replace('/./', '/', get_image_url($row)).'\" /></a>';
 		$S .= '\n\n';
Index: /extensions/piwishack/main.inc.php
===================================================================
--- /extensions/piwishack/main.inc.php	(revision 4375)
+++ /extensions/piwishack/main.inc.php	(revision 4376)
@@ -21,5 +21,5 @@
 /*
 Plugin Name: Piwishack
-Version: 0.1
+Version: 0.2
 Description: Affichage d'une liste de liens formatés pour afficher vos images sur des sites/blogs/forums.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=324