Index: /extensions/AMenuManager/admin/amm_sections_visibility.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_sections_visibility.tpl	(revision 4394)
+++ /extensions/AMenuManager/admin/amm_sections_visibility.tpl	(revision 4395)
@@ -4,6 +4,5 @@
   <label>
   <input type="checkbox" id="i{$name}_vis_user_{$values.id}" value="{$values.id}"
-    {if $values.allowed==true} checked{/if}
-    {if $values.enabled==false} disabled{/if} />{$values.name}
+    {if $values.allowed==true} checked{/if} />{$values.name}
   </label><br/>
 {/foreach}
@@ -15,6 +14,5 @@
   <label>
   <input type="checkbox" id="i{$name}_vis_group_{$values.id}" value="{$values.id}"
-    {if $values.allowed==true} checked{/if}
-    {if $values.enabled==false} disabled{/if} />{$values.name}
+    {if $values.allowed==true} checked{/if} />{$values.name}
   </label><br/>
 {/foreach}
Index: tensions/AMenuManager/admin/amm_sectionsmod_detail.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_sectionsmod_detail.tpl	(revision 4394)
+++ 	(revision )
@@ -1,17 +1,0 @@
-
-{if isset($datas.LIST) and count($datas.LIST)}
-  <table class="table2 littlefont">
-    <tr class="throw">
-      <th>{'g002_labelmenu'|@translate}</th>
-      <th>{'g002_visible'|@translate}</th>
-    </tr>
-
-    {foreach from=$datas.LIST key=name item=data}
-      <tr>
-        <td>{$data.LABEL|@translate}</td>
-        <td style="text-align:center;"><a style="cursor:pointer;" onclick="load_list('showhide', '{$data.ID}', '')">{$data.VISIBLE|@translate}</a></td>
-      </tr>
-    {/foreach}
-
-  </table>
-{/if}
Index: /extensions/AMenuManager/amm_aip.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_aip.class.inc.php	(revision 4394)
+++ /extensions/AMenuManager/amm_aip.class.inc.php	(revision 4395)
@@ -521,5 +521,5 @@
     {
       $this->my_config['amm_sections_items'][$key]['visibilityForm'] = $this->makeVisibility($val['visibility'], $key);
-      $this->defaultMenus[$key]['visibilityForm'] = $this->makeVisibility("guest,generic,normal,admin/", $key);
+      $this->defaultMenus[$key]['visibilityForm'] = $this->makeVisibility("guest,generic,normal,webmaster,admin/", $key);
     }
 
Index: /extensions/AMenuManager/amm_pip.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_pip.class.inc.php	(revision 4394)
+++ /extensions/AMenuManager/amm_pip.class.inc.php	(revision 4395)
@@ -147,6 +147,28 @@
     */
     $blocks=Array();
-    $blocks['menu']=$menu->get_block('mbMenu');
-    $blocks['special']=$menu->get_block('mbSpecials');
+
+    if($menu->is_hidden('mbMenu'))
+    {
+      // if block is hidden, make a fake to manage AMM features
+      // the fake block isn't displayed
+      $blocks['menu']=new DisplayBlock('amm_mbMenu');
+      $blocks['menu']->data=Array();
+    }
+    else
+    {
+      $blocks['menu']=$menu->get_block('mbMenu');
+    }
+
+    if($menu->is_hidden('mbSpecials'))
+    {
+      // if block is hidden, make a fake to manage AMM features
+      // the fake block isn't displayed
+      $blocks['special']=new DisplayBlock('amm_mbSpecial');
+      $blocks['special']->data=Array();
+    }
+    else
+    {
+      $blocks['special']=$menu->get_block('mbSpecials');
+    }
 
     $menuItems=array_merge($blocks['menu']->data, $blocks['special']->data);
Index: /extensions/AMenuManager/amm_root.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_root.class.inc.php	(revision 4394)
+++ /extensions/AMenuManager/amm_root.class.inc.php	(revision 4395)
@@ -26,17 +26,17 @@
   protected $css;   //the css object
   protected $defaultMenus = array(
-    'favorites' => array('container' => 'special', 'visibility' => 'guest,generic,normal,admin/', 'order' => 0, 'translation' => 'favorite_cat'),
-    'most_visited' => array('container' => 'special', 'visibility' => 'guest,generic,normal,admin/', 'order' => 1, 'translation' => 'most_visited_cat'),
-    'best_rated' => array('container' => 'special', 'visibility' => 'guest,generic,normal,admin/', 'order' => 2, 'translation' => 'best_rated_cat'),
-    'random' => array('container' => 'special', 'visibility' => 'guest,generic,normal,admin/', 'order' => 3, 'translation' => 'random_cat'),
-    'recent_pics' => array('container' => 'special', 'visibility' => 'guest,generic,normal,admin/', 'order' => 4, 'translation' => 'recent_pics_cat'),
-    'recent_cats' => array('container' => 'special', 'visibility' => 'guest,generic,normal,admin/', 'order' => 5, 'translation' => 'recent_cats_cat'),
-    'calendar' => array('container' => 'special', 'visibility' => 'guest,generic,normal,admin/', 'order' => 6, 'translation' => 'calendar'),
-    'qsearch' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,admin/', 'order' => 0, 'translation' => 'qsearch'),
-    'tags' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,admin/', 'order' => 1, 'translation' => 'Tags'),
-    'search' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,admin/', 'order' => 2, 'translation' => 'Search'),
-    'comments' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,admin/', 'order' => 3, 'translation' => 'comments'),
-    'about' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,admin/', 'order' => 4, 'translation' => 'About'),
-    'rss' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,admin/', 'order' => 5, 'translation' => 'Notification')
+    'favorites' => array('container' => 'special', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 0, 'translation' => 'favorite_cat'),
+    'most_visited' => array('container' => 'special', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 1, 'translation' => 'most_visited_cat'),
+    'best_rated' => array('container' => 'special', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 2, 'translation' => 'best_rated_cat'),
+    'random' => array('container' => 'special', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 3, 'translation' => 'random_cat'),
+    'recent_pics' => array('container' => 'special', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 4, 'translation' => 'recent_pics_cat'),
+    'recent_cats' => array('container' => 'special', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 5, 'translation' => 'recent_cats_cat'),
+    'calendar' => array('container' => 'special', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 6, 'translation' => 'calendar'),
+    'qsearch' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 0, 'translation' => 'qsearch'),
+    'tags' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 1, 'translation' => 'Tags'),
+    'search' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 2, 'translation' => 'Search'),
+    'comments' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 3, 'translation' => 'comments'),
+    'about' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 4, 'translation' => 'About'),
+    'rss' => array('container' => 'menu', 'visibility' => 'guest,generic,normal,webmaster,admin/', 'order' => 5, 'translation' => 'Notification')
   );
 
Index: /extensions/AMenuManager/main.inc.php
===================================================================
--- /extensions/AMenuManager/main.inc.php	(revision 4394)
+++ /extensions/AMenuManager/main.inc.php	(revision 4395)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Advanced Menu Manager
-Version: 2.1.3
+Version: 2.1.4
 Description: Gestion avancée du menu / Advanced management of menu
 Plugin URI: http://piwigo.org
@@ -58,9 +58,11 @@
 |         |            | * mantis: feature 1100
 |         |            |   Random picture : compatibility with theme 'montblanc'
-|         |            |
-|         |            |
-|         |            |
-|         |            |
-|         |            |
+| 2.1.4   | 2009/11/29 | * mantis: feature 1299
+|         |            |   Allows to manage access for the 'Admin' users
+|         |            | * mantis: feature 1298
+|         |            |   Users 'Webmaster' aren't managed
+|         |            | * mantis: feature 1297
+|         |            |   AMM don't works properly if a block 'menu' or
+|         |            |   'specials' is hidden
 |         |            |
 |         |            |
@@ -88,5 +90,5 @@
 define('AMM_PATH' , PHPWG_PLUGINS_PATH . AMM_DIR . '/');
 
-define('AMM_VERSION' , '2.1.3'); //=> ne pas oublier la version dans l'entête !!
+define('AMM_VERSION' , '2.1.4'); //=> ne pas oublier la version dans l'entête !!
 
 global $prefixeTable, $page;
Index: /extensions/AMenuManager/maintain.inc.php
===================================================================
--- /extensions/AMenuManager/maintain.inc.php	(revision 4394)
+++ /extensions/AMenuManager/maintain.inc.php	(revision 4395)
@@ -20,7 +20,7 @@
 {
   @include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/main.inc.php');
-  // need GPC release greater or equal than 2.0.3
+  // need GPC release greater or equal than 2.0.4
 
-  if(checkGPCRelease(2,0,3))
+  if(checkGPCRelease(2,0,4))
   {
     @include_once("amm_install.class.inc.php");
@@ -31,5 +31,5 @@
 function gpcMsgError(&$errors)
 {
-  array_push($errors, sprintf(l10n('Grum Plugin Classes is not installed (release >= %s)'), "2.0.3"));
+  array_push($errors, sprintf(l10n('Grum Plugin Classes is not installed (release >= %s)'), "2.0.4"));
 }
 // -----------------------------------------------------------------------------