Index: extensions/lmt/admin/plugin_admin_config.tpl
===================================================================
--- extensions/lmt/admin/plugin_admin_config.tpl	(revision 3666)
+++ extensions/lmt/admin/plugin_admin_config.tpl	(revision 4396)
@@ -3,6 +3,6 @@
 
     //global var ; need to not have to initialize them every time a value is changed
-    var objlang; 
-    var objlang2; 
+    var objlang;
+    var objlang2;
     var objnames = new Array('itext');
     var objnames2 = new Array({/literal}{$datas.objnames2}{literal});
@@ -57,17 +57,17 @@
 
     //initialize help event
-    $("sup").filter('.icnhelp').bind("mouseenter", 
-      function(event){ 
+    $("sup").filter('.icnhelp').bind("mouseenter",
+      function(event){
         $("#hinthlp").attr("innerHTML", get_hint(this))
           .css("left", event.clientX+1+window.pageXOffset)
           .css("top", event.clientY+1+window.pageYOffset);
-      } 
+      }
     );
 
-    $("sup").filter('.icnhelp').bind("mouseleave", 
-      function(event){ 
+    $("sup").filter('.icnhelp').bind("mouseleave",
+      function(event){
         $("#hinthlp")
           .css("left", -450);
-      } 
+      }
     );
 
@@ -115,5 +115,5 @@
         break;
       {/foreach}
-      {literal}      
+      {literal}
     }
   }
@@ -148,5 +148,5 @@
   <fieldset >
     <legend>{'lmt_general_config'|@translate}</legend>
-    
+
     <table class="formtable"  >
       <tr>
@@ -244,5 +244,5 @@
         </td>
       </tr>
-  
+
       <tr>
         <td>
@@ -258,5 +258,5 @@
                     id="itext_{$lang.lang}" value="{$lang.text}">
           {/foreach}
-        {/if}        
+        {/if}
         <textarea id="itext" rows="4" cols="60" onkeyup="apply_changes('itext');" /></textarea>
         </td>
@@ -284,5 +284,5 @@
   <fieldset >
     <legend>{'lmt_redirect_config'|@translate}</legend>
-    
+
     <table class="formtable"  >
 
@@ -291,4 +291,11 @@
         <td>
           {html_options name="f_lmt_redirect_activated" values=$lmt_yesno_values output=$lmt_yesno_labels selected=$datas.lmt_redirect_activated}
+        </td>
+      </tr>
+
+      <tr>
+        <td>{'lmt_cfg_warning_target'|@translate}<sup id="hlp10" class="icnhelp">?</sup></td>
+        <td>
+          {html_options name="f_lmt_redirect_open_target" values=$lmt_yesno_values output=$lmt_yesno_labels selected=$datas.lmt_redirect_open_target}
         </td>
       </tr>
Index: extensions/lmt/admin/plugin_admin_list.tpl
===================================================================
--- extensions/lmt/admin/plugin_admin_list.tpl	(revision 3666)
+++ extensions/lmt/admin/plugin_admin_list.tpl	(revision 4396)
@@ -7,8 +7,8 @@
 
     tmp=http_request.responseText;
-    
+
     $("#nbphotos").attr("innerHTML", tmp.substr(0,tmp.indexOf("#")));
     $("#list").attr("innerHTML", tmp.substr(tmp.indexOf("#")+1));
-    $("#filter").value("innerHTML", tmp.substr(tmp.indexOf("#")+1));
+    //$("#filter").attr("innerHTML", tmp.substr(tmp.indexOf("#")+1));
   }
 {/literal}
@@ -27,5 +27,5 @@
   <div id="list">
   </div>
-  
+
   <form method="POST">
     <p class="lmt_page" style="border-top:1px dotted;padding-top:10px;">
Index: extensions/lmt/language/en_UK/description.txt
===================================================================
--- extensions/lmt/language/en_UK/description.txt	(revision 4396)
+++ extensions/lmt/language/en_UK/description.txt	(revision 4396)
@@ -0,0 +1,1 @@
+Apply a licence on photos
Index: extensions/lmt/language/en_UK/plugin.lang.php
===================================================================
--- extensions/lmt/language/en_UK/plugin.lang.php	(revision 3666)
+++ extensions/lmt/language/en_UK/plugin.lang.php	(revision 4396)
@@ -172,4 +172,8 @@
 $lang['lmt_yesno_y'] = 'Yes';
 
+//1.1.0
+$lang["lmt_help_config"][10] = "If activated, the page pointed to by the hyperlink will open in a new window.";
+$lang["lmt_cfg_warning_target"] = "Force the page openning in a new window";
+
 
 ?>
Index: extensions/lmt/language/fr_FR/description.txt
===================================================================
--- extensions/lmt/language/fr_FR/description.txt	(revision 4396)
+++ extensions/lmt/language/fr_FR/description.txt	(revision 4396)
@@ -0,0 +1,1 @@
+Appliquer une licence sur ses photos
Index: extensions/lmt/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/lmt/language/fr_FR/plugin.lang.php	(revision 3666)
+++ extensions/lmt/language/fr_FR/plugin.lang.php	(revision 4396)
@@ -178,3 +178,9 @@
 $lang["lmt_nav_last"] = "Dernier";
 
+//1.1.0
+$lang["lmt_help_config"][10] = "Si activé, l'ouverture de la page vers laquelle pointe l'hyperlien sera effectuée dans une nouvelle fenêtre.";
+$lang["lmt_cfg_warning_target"] = "Forcer l'ouverture dans une nouvelle fenêtre"
+
+
+
 ?>
Index: extensions/lmt/lmt_aip.class.inc.php
===================================================================
--- extensions/lmt/lmt_aip.class.inc.php	(revision 3666)
+++ extensions/lmt/lmt_aip.class.inc.php	(revision 4396)
@@ -4,5 +4,5 @@
   Author     : Grum
     email    : grum@piwigo.org
-    website  : http://photos.grum.dnsalias.com
+    website  : http://photos.grum.fr
 
     << May the Little SpaceFrog be with you ! >>
@@ -10,5 +10,5 @@
   See main.inc.php for release information
 
-  LMT_AIP : classe to manage plugin admin pages 
+  LMT_AIP : classe to manage plugin admin pages
 
   --------------------------------------------------------------------------- */
@@ -53,5 +53,5 @@
     $this->ajax = new Ajax();
 
-    // don't create the google_translate object everytime, otherwise google's js 
+    // don't create the google_translate object everytime, otherwise google's js
     // code is always included in the header even if translation functionalities
     // aren't needed
@@ -192,5 +192,5 @@
 
   /*
-  
+
   */
   protected function display_help_page()
@@ -239,10 +239,10 @@
     {
       $filter_list_labels[] = "[".l10n("lmt_lbl_cc_s-".strtolower($val))."] ".l10n("lmt_lbl_cc-".strtolower($val));
-      if($val==$_REQUEST['filter']) 
+      if($val==$_REQUEST['filter'])
       {
         $filter_list_selected = $val;
       }
     }
-  
+
     $filter_list_values = array_merge(array(''), $filter_list_values);
     $filter_list_labels = array_merge(array(l10n('lmt_nofilter')), $filter_list_labels);
@@ -261,6 +261,6 @@
     {
 
-      $sql="REPLACE INTO ".CADDIE_TABLE." 
-        SELECT '".$user['id']."', it.id FROM ".IMAGES_TABLE." it, ".$this->tables["images"]." lmti  
+      $sql="REPLACE INTO ".CADDIE_TABLE."
+        SELECT '".$user['id']."', it.id FROM ".IMAGES_TABLE." it, ".$this->tables["images"]." lmti
         WHERE it.id = lmti.image_id";
       if($_REQUEST['filter']!="")
@@ -279,5 +279,5 @@
       }
     }
-  
+
     $template->assign('datas', $datas);
     $template->assign('default_licence', $default_licence);
@@ -314,12 +314,12 @@
           if($_POST['licence']=='DEFAULT')
           {
-            $sql="DELETE FROM ".$this->tables['images']." 
+            $sql="DELETE FROM ".$this->tables['images']."
                     WHERE image_id IN (".implode(",", $lst).")";
           }
           else
           {
-            $sql="REPLACE INTO ".$this->tables['images']." 
+            $sql="REPLACE INTO ".$this->tables['images']."
                     SELECT id, '".$_POST['licence']."', '".$_POST['author']."'
-                    FROM ".IMAGES_TABLE." 
+                    FROM ".IMAGES_TABLE."
                     WHERE id IN (".implode(",", $lst).")";
           }
@@ -337,5 +337,5 @@
           case 'app_clear_selected':
           case 'napp_clear_selected':
-            $sql="DELETE FROM ".CADDIE_TABLE." 
+            $sql="DELETE FROM ".CADDIE_TABLE."
                   WHERE user_id = '".$user['id']."'
                   AND element_id IN (".implode(",", $lst).")";
@@ -398,5 +398,5 @@
       $licences_list_labels[] = "[".l10n("lmt_lbl_cc_s-".strtolower($val))."] ".l10n("lmt_lbl_cc-".strtolower($val));
     }
-  
+
 /*    $licences_list_values = array_merge(array('DEFAULT'), $licences_list_values);
     $licences_list_labels = array_merge(array(l10n('lmt_bydefault')), $licences_list_labels);*/
@@ -406,8 +406,8 @@
 
     $selectlist_list_labels=array(
-        l10n("lmt_choose_select"), 
-        l10n("lmt_select_all"), 
-        l10n("lmt_select_none"), 
-        l10n("lmt_select_invert") 
+        l10n("lmt_choose_select"),
+        l10n("lmt_select_all"),
+        l10n("lmt_select_none"),
+        l10n("lmt_select_invert")
     );
     $selectlist_list_labels=array_merge($selectlist_list_labels, $licences_list_labels);
@@ -437,5 +437,5 @@
                 dirname($this->filelocation).'/admin/plugin_admin_config.tpl');
 
-    
+
     $datas=array(
       "img_directory" => LMT_PATH."img/"
@@ -459,5 +459,5 @@
     $lmt_licence_default_labels = array();
 
-    $tmp=array();    
+    $tmp=array();
     foreach($lmt_licence_default_values as $key=>$val)
     {
@@ -491,5 +491,5 @@
         'text' => $this->my_config['lmt_warning_texts'][$key]
       );
-      
+
       foreach($lmt_licence_default_values as $key2 => $val2)
       {
@@ -504,5 +504,5 @@
       $datas['help']['hlp'.$key]=addslashes($val);
     }
-    
+
     $lmt_licence_default_author_values=array(0);
     $lmt_licence_default_author_labels=array(l10n("lmt_no_author"));
@@ -555,5 +555,5 @@
 
     /* ------------------------------------------------------------------------
-     * Add an author     
+     * Add an author
      * ---------------------------------------------------------------------- */
     if(isset($_POST['submit_add_author']))
@@ -578,7 +578,7 @@
       }
     }
-  
+
     /* ------------------------------------------------------------------------
-     * Modify an author     
+     * Modify an author
      * ---------------------------------------------------------------------- */
     if(isset($_POST['submit_modify_author']))
@@ -586,7 +586,7 @@
       if($_POST["text1"]!="")
       {
-        $sql="UPDATE ".$this->tables["licence_author"]." 
-              SET text1 = '". addslashes($_POST["text1"])."', 
-                  text2 = '".addslashes($_POST["text2"])."' 
+        $sql="UPDATE ".$this->tables["licence_author"]."
+              SET text1 = '". addslashes($_POST["text1"])."',
+                  text2 = '".addslashes($_POST["text2"])."'
               WHERE id = '".$_POST["id"]."'";
         $result=pwg_query($sql);
@@ -608,5 +608,5 @@
 
     /* ------------------------------------------------------------------------
-     * delete an author     
+     * delete an author
      * ---------------------------------------------------------------------- */
     if($_REQUEST['action']=="delete")
@@ -620,5 +620,5 @@
           $this->display_result(l10n("lmt_author_deleted"), true);
 
-          $sql="UPDATE ".$this->tables["images"]." SET author_id = NULL 
+          $sql="UPDATE ".$this->tables["images"]." SET author_id = NULL
                 WHERE author_id = '".$_REQUEST['id']."'";
           $result=pwg_query($sql);
@@ -639,5 +639,5 @@
         {
           $this->display_result(l10n("lmt_cannot_delete_author"), false);
-        }  
+        }
       }
       else
@@ -710,5 +710,5 @@
 
     if($_REQUEST["action"]=="edit")
-    {    
+    {
       $sql="SELECT * FROM ".$this->tables['licence_author']." WHERE id = '".$_REQUEST['id']."'";
       $result = pwg_query($sql);
@@ -769,5 +769,5 @@
 
   /*
-    this function return a js to manage licence text 
+    this function return a js to manage licence text
   */
   protected function generate_js_licence_author()
@@ -851,13 +851,13 @@
     $img_ids=array();
     $img_liste = array();
-    $sql="SELECT SQL_CALC_FOUND_ROWS lmti.*, img.file, img.path, img.tn_ext, 
-                  GROUP_CONCAT(cat.id) AS catid, 
+    $sql="SELECT SQL_CALC_FOUND_ROWS lmti.*, img.file, img.path, img.tn_ext,
+                  GROUP_CONCAT(cat.id) AS catid,
                   GROUP_CONCAT(CASE WHEN cat.name IS NULL THEN '' ELSE cat.name END SEPARATOR '@sep@') AS catname,
                   GROUP_CONCAT(CASE WHEN cat.permalink IS NULL THEN '' ELSE cat.permalink END SEPARATOR '@sep@') AS catpermalink,
                   GROUP_CONCAT(CASE WHEN cat.dir IS NULL THEN 'V' ELSE 'P' END) AS cattype,
-                  lmtla.text1, lmtla.text2   
-          FROM ".$this->tables["images"]." lmti 
-                  LEFT OUTER JOIN ".$this->tables["licence_author"]." lmtla ON lmtla.id = lmti.author_id, 
-               ".IMAGES_TABLE." img 
+                  lmtla.text1, lmtla.text2
+          FROM ".$this->tables["images"]." lmti
+                  LEFT OUTER JOIN ".$this->tables["licence_author"]." lmtla ON lmtla.id = lmti.author_id,
+               ".IMAGES_TABLE." img
                   LEFT OUTER JOIN ".IMAGE_CATEGORY_TABLE." imgcat ON img.id = imgcat.image_id
                   LEFT OUTER JOIN ".CATEGORIES_TABLE." cat ON imgcat.category_id = cat.id
@@ -915,5 +915,5 @@
         );
       }
-    }  
+    }
 
     $sql="select FOUND_ROWS()";
@@ -924,5 +924,5 @@
     $pages_navigation->set_nb_items($nb[0]);
     $pages_navigation->set_nb_items_per_page($this->my_config['lmt_list_maxitems']);
-    $pages_navigation->set_current_page($pagenum);   
+    $pages_navigation->set_current_page($pagenum);
     $pages_navigation->set_options(array(
       "text_prev" => l10n("lmt_nav_prev"),
@@ -955,15 +955,15 @@
 
     $img_liste = array();
-    $sql="SELECT SQL_CALC_FOUND_ROWS img.id as image_id, img.file, img.path, img.tn_ext, 
-                  GROUP_CONCAT(cat.id) AS catid, 
+    $sql="SELECT SQL_CALC_FOUND_ROWS img.id as image_id, img.file, img.path, img.tn_ext,
+                  GROUP_CONCAT(cat.id) AS catid,
                   GROUP_CONCAT(CASE WHEN cat.name IS NULL THEN '' ELSE cat.name END SEPARATOR '@sep@') AS catname,
                   GROUP_CONCAT(CASE WHEN cat.permalink IS NULL THEN '' ELSE cat.permalink END SEPARATOR '@sep@') AS catpermalink,
                   GROUP_CONCAT(CASE WHEN cat.dir IS NULL THEN 'V' ELSE 'P' END) AS cattype,
-                 lmti.licence_type, lmtla.text1, lmtla.text2 
-          FROM ".CADDIE_TABLE." caddie, 
-              (".IMAGES_TABLE." img 
+                 lmti.licence_type, lmtla.text1, lmtla.text2
+          FROM ".CADDIE_TABLE." caddie,
+              (".IMAGES_TABLE." img
                   LEFT OUTER JOIN ".IMAGE_CATEGORY_TABLE." imgcat ON img.id = imgcat.image_id
                   LEFT OUTER JOIN ".CATEGORIES_TABLE." cat ON imgcat.category_id = cat.id)
-                LEFT OUTER JOIN ".$this->tables["images"]." AS lmti ON img.id = lmti.image_id  
+                LEFT OUTER JOIN ".$this->tables["images"]." AS lmti ON img.id = lmti.image_id
                 LEFT OUTER JOIN ".$this->tables["licence_author"]." lmtla  ON lmtla.id = lmti.author_id
           WHERE img.id = caddie.element_id
@@ -1017,5 +1017,5 @@
         );
       }
-    }  
+    }
 
     $sql="select FOUND_ROWS()";
@@ -1026,5 +1026,5 @@
     $pages_navigation->set_nb_items($nb[0]);
     $pages_navigation->set_nb_items_per_page($this->my_config['lmt_list_maxitems']);
-    $pages_navigation->set_current_page($pagenum);   
+    $pages_navigation->set_current_page($pagenum);
     $pages_navigation->set_options(array(
       "text_prev" => l10n("lmt_nav_prev"),
Index: extensions/lmt/lmt_pip.class.inc.php
===================================================================
--- extensions/lmt/lmt_pip.class.inc.php	(revision 3666)
+++ extensions/lmt/lmt_pip.class.inc.php	(revision 4396)
@@ -91,5 +91,5 @@
       {
         $url=$this->my_config['lmt_redirect_url-'.strToLower($licence['licence'])]['en_UK'];
-      }      
+      }
     }
     else
@@ -100,4 +100,5 @@
     $style="";
     $text="";
+    $target=($this->my_config['lmt_redirect_open_target']=="y")?" onclick='window.open(this.href); return false;'":"";
     switch($this->my_config['lmt_licence_logo'])
     {
@@ -105,10 +106,10 @@
         if($url!="")
         {
-          $text = "<br/><a href='".$url."'><img class='logo80x15' src='". LMT_PATH."img/".strToLower($licence['licence'])."_80x15.png'></a>".$licence['aut_text1']." ".$licence['aut_text2'];
+          $text = "<br/><a href='".$url."'".$target."><img class='logo80x15' src='". LMT_PATH."img/".strToLower($licence['licence'])."_80x15.png'></a>".$licence['aut_text1']." ".$licence['aut_text2'];
         }
         else
         {
           $text = "<br/><img class='logo80x15' src='". LMT_PATH."img/".strToLower($licence['licence'])."_80x15.png'>".$licence['aut_text1']." ".$licence['aut_text2'];
-        } 
+        }
       break;
       case '88x31';
@@ -116,5 +117,5 @@
         if($url!="")
         {
-          $text = "<table style='margin:auto;'><tr><td><a href='".$url."'><img class='logo88x31' style='top:-4px;' src='". LMT_PATH."img/".strToLower($licence['licence'])."_88x31.png'></a></td><td>".$licence['aut_text1']."<br/>".$licence['aut_text2']."</td></tr></table>";
+          $text = "<table style='margin:auto;'><tr><td><a href='".$url."'".$target."><img class='logo88x31' style='top:-4px;' src='". LMT_PATH."img/".strToLower($licence['licence'])."_88x31.png'></a></td><td>".$licence['aut_text1']."<br/>".$licence['aut_text2']."</td></tr></table>";
         }
         else
@@ -126,5 +127,5 @@
         if($url!="")
         {
-          $text ="<br/>".l10n("lmt_lbl_under-".strToLower($licence['licence']))." <a href='".$url."'>".l10n("lmt_lbl_cc_s-".strToLower($licence['licence']))."</a> ".$licence['aut_text1']." ".$licence['aut_text2'];
+          $text ="<br/>".l10n("lmt_lbl_under-".strToLower($licence['licence']))." <a href='".$url."'".$target.">".l10n("lmt_lbl_cc_s-".strToLower($licence['licence']))."</a> ".$licence['aut_text1']." ".$licence['aut_text2'];
         }
         else
@@ -134,5 +135,5 @@
         break;
     }
-    
+
     $template->concat('COMMENT_IMG', '<span class="licencetag" '.$style.'>'.$text.'</span>');
   }
@@ -168,7 +169,8 @@
       if($url!="")
       {
-        $replacements[0]="<a href='".$url."'>".$replacements[0]."</a>";
-        $replacements[1]="<a href='".$url."'>".$replacements[1]."</a>";
-        $replacements[2]="<a href='".$url."'>".$replacements[2]."</a>";
+        $target=($this->my_config['lmt_redirect_open_target']=="y")?" onclick='window.open(this.href); return false;'":"";
+        $replacements[0]="<a href='".$url."'".$target.">".$replacements[0]."</a>";
+        $replacements[1]="<a href='".$url."'".$target.">".$replacements[1]."</a>";
+        $replacements[2]="<a href='".$url."'".$target.">".$replacements[2]."</a>";
       }
     }
Index: extensions/lmt/lmt_root.class.inc.php
===================================================================
--- extensions/lmt/lmt_root.class.inc.php	(revision 3666)
+++ extensions/lmt/lmt_root.class.inc.php	(revision 4396)
@@ -4,5 +4,5 @@
   Author     : Grum
     email    : grum@piwigo.org
-    website  : http://photos.grum.dnsalias.com
+    website  : http://photos.grum.fr
 
     << May the Little SpaceFrog be with you ! >>
@@ -12,5 +12,5 @@
   LMT_root : common classe for admin and public classes
 
-  --------------------------------------------------------------------------- */  
+  --------------------------------------------------------------------------- */
   include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/common_plugin.class.inc.php');
   include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/css.class.inc.php');
@@ -84,5 +84,5 @@
 
     /*
-      intialize default values 
+      intialize default values
     */
     public function init_config()
@@ -93,20 +93,21 @@
         'lmt_list_maxheight' => '650',
         'lmt_list_maxitems' => '0',    /* limit number of item displayed ; 0 : no limit */
-        'lmt_licence_default' => 'BY', 
-        'lmt_licence_default_author' => 0, 
+        'lmt_licence_default' => 'BY',
+        'lmt_licence_default_author' => 0,
         'lmt_licence_activated' => 'n',
         'lmt_licence_visible' => 'n',  /* y:always visible, n:only if needed */
         'lmt_licence_logo' => '80x15', /* 80x15, 88x31, text */
-        'lmt_warning_visible' => 'y',     /* y: display a text at the bottom of each page */ 
+        'lmt_warning_visible' => 'y',     /* y: display a text at the bottom of each page */
         'lmt_warning_texts' => array(), /* text displayed - multi lang */
-        'lmt_redirect_activated' => 'y',     /* y: the text is an url to a warning page */  
-        'lmt_redirect_url-by' => array(),    
-        'lmt_redirect_url-by-nd' => array(),    
-        'lmt_redirect_url-by-nc' => array(),    
-        'lmt_redirect_url-by-nc-nd' => array(),    
-        'lmt_redirect_url-by-nc-sa' => array(),    
-        'lmt_redirect_url-by-sa' => array(),    
-        'lmt_redirect_url-cright' => array(),    
-        'lmt_redirect_url-cleft' => array(),   
+        'lmt_redirect_activated' => 'y',     /* y: the text is an url to a warning page */
+        'lmt_redirect_open_target' => 'n',   /* y: url are openned in a new page/tab */
+        'lmt_redirect_url-by' => array(),
+        'lmt_redirect_url-by-nd' => array(),
+        'lmt_redirect_url-by-nc' => array(),
+        'lmt_redirect_url-by-nc-nd' => array(),
+        'lmt_redirect_url-by-nc-sa' => array(),
+        'lmt_redirect_url-by-sa' => array(),
+        'lmt_redirect_url-cright' => array(),
+        'lmt_redirect_url-cleft' => array(),
       );
 
@@ -164,5 +165,5 @@
 
 .lmt  {
-  text-align:justify;  
+  text-align:justify;
 }
 
@@ -176,5 +177,5 @@
 #ullist li {
   width:300px;
-  display:block; 
+  display:block;
   float:left;
   text-align:left;
@@ -229,5 +230,5 @@
   color:#000000;
   top:0px;
-  left:-450px;  
+  left:-450px;
   padding:2px;
   text-align:justify;
@@ -239,5 +240,5 @@
 
     /*
-      generate the css code 
+      generate the css code
     */
     protected function generate_CSS2()
@@ -259,4 +260,5 @@
 #theImage img.logo80x15, #theImage img.logo88x31 {
   border:0px none;
+  padding:0px;
 }
 
@@ -287,5 +289,5 @@
         "aut_text2" => ""
       );
-      $sql="SELECT lmti.licence_type, lmta.text1, lmta.text2 
+      $sql="SELECT lmti.licence_type, lmta.text1, lmta.text2
             FROM ".$this->tables['images']." lmti
               LEFT OUTER JOIN ".$this->tables['licence_author']." lmta ON lmti.author_id = lmta.id
@@ -314,8 +316,8 @@
         );
 
-        $sql="SELECT * FROM ".$this->tables['licence_author']." 
+        $sql="SELECT * FROM ".$this->tables['licence_author']."
               WHERE id = '".$this->my_config["lmt_licence_default_author"]."'";
         $result=pwg_query($sql);
-        if($result)     
+        if($result)
         {
           while($row=mysql_fetch_array($result))
@@ -327,5 +329,5 @@
       }
 
-      return($return);      
+      return($return);
     }
 
@@ -348,6 +350,6 @@
         }
         return($returned);
-      }  
-      return(false); 
+      }
+      return(false);
     }
 
Index: extensions/lmt/main.inc.php
===================================================================
--- extensions/lmt/main.inc.php	(revision 3666)
+++ extensions/lmt/main.inc.php	(revision 4396)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: LMT
-Version: 1.0.2
+Version: 1.1.0
 Description: Appliquer une licence sur ses photos / Apply a licence on photos
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=282
@@ -23,22 +23,33 @@
 | release | date       |
 | 1.0.0   | 2009/03/01 | first release
-| 1.0.1   | 2009/05/01 | * modify de style for 80x15&text logo (to be centered 
+| 1.0.1   | 2009/05/01 | * modify de style for 80x15&text logo (to be centered
 |         |            |   like the 88x31 logo)
 |         |            | * modify the footer (allows to use html markup)
 | 1.0.2   | 2009/06/12 | * the plugin can't manage picture if no physical category
 |         |            |   is affected (pictures uploaded with pLoader have
-|         |            |   only virtual categories). For now, use a LEFT OUTER JOIN 
+|         |            |   only virtual categories). For now, use a LEFT OUTER JOIN
 |         |            |   on physical categorie ; virtual category management will
 |         |            |   be coded for the next release
-| 1.0.3   | 2009/07/24 | * bug on "list" page when trying to add items in the 
+| 1.0.3   | 2009/07/24 | * bug on "list" page when trying to add items in the
 |         |            |   caddie (==> topic #116263 on french forum)
-|         |            | * bug when displaying image's categories when image 
+|         |            | * bug when displaying image's categories when image
 |         |            |   only have virtual categories / now display all image
-|         |            |   categories (physical & virtual) 
-|         |            |   (==>topic #113337 on french forum)  
-|         |            |   
-|         |            |   
-|         |            |   
-  
+|         |            |   categories (physical & virtual)
+|         |            |   (==>topic #113337 on french forum)
+| 1.1.0   | 2009/11/29 | * mantis : feature 1294
+|         |            |   Allow to open the licence page on a new page/tab when
+|         |            |   user clic on the licence hyperlink
+|         |            | * mantis : feature 1295
+|         |            |   Compatibility with theme 'montblanc'
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+
 
 :: TO DO
@@ -65,5 +76,5 @@
 define('LMT_PATH' , PHPWG_PLUGINS_PATH . LMT_DIR . '/');
 
-define('LMT_VERSION' , '1.0.2'); // => ne pas oublier la version dans l'entête !!
+define('LMT_VERSION' , '1.1.0'); // => ne pas oublier la version dans l'entête !!
 
 global $prefixeTable;